Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.util
Class ServerDetector

    java.lang.Object
      org.red5.server.util.ServerDetector

    public class ServerDetector

extends Object

Simple J2EE server detector, based on an idea created by Brian Wing Shun Chan.

Author:
  Paul Gregoire (mondain@gmail.com)

Field Summary
`static String` | `GERONIMO_CLASS`
`static String` | `GERONIMO_ID`
`static String` | `GLASSFISH_ID`
`static String` | `GLASSFISH_SYSTEM_PROPERTY`
`static String` | `JBOSS_CLASS`
`static String` | `JBOSS_ID`
`static String` | `JETTY_CLASS`
`static String` | `JETTY_ID`
`static String` | `JONAS_CLASS`
`static String` | `JONAS_ID`
`static String` | `RESIN_CLASS`
`static String` | `RESIN_ID`
`static String` | `TOMCAT_BOOTSTRAP_CLASS`
`static String` | `TOMCAT_EMBEDDED_CLASS`
`static String` | `TOMCAT_ID`
`static String` | `WEBLOGIC_CLASS`
`static String` | `WEBLOGIC_ID`
`static String` | `WEBSPHERE_CLASS`
`static String` | `WEBSPHERE_ID`

Constructor Summary
`ServerDetector()`

Method Summary
`static boolean` | `isGeronimo()`
`static boolean` | `isGlassfish()`
`static boolean` | `isJBoss()`
`static boolean` | `isJetty()`
`static boolean` | `isJOnAS()`
`static boolean` | `isResin()`
`static boolean` | `isTomcat()`
`static boolean` | `isWebLogic()`
`static boolean` | `isWebSphere()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GERONIMO_CLASS

    public static final String GERONIMO_CLASS

See Also:
  Constant Field Values

### GERONIMO_ID

    public static final String GERONIMO_ID

See Also:
  Constant Field Values

### GLASSFISH_ID

    public static final String GLASSFISH_ID

See Also:
  Constant Field Values

### GLASSFISH_SYSTEM_PROPERTY

    public static final String GLASSFISH_SYSTEM_PROPERTY

See Also:
  Constant Field Values

### JBOSS_CLASS

    public static final String JBOSS_CLASS

See Also:
  Constant Field Values

### JBOSS_ID

    public static final String JBOSS_ID

See Also:
  Constant Field Values

### JETTY_CLASS

    public static final String JETTY_CLASS

See Also:
  Constant Field Values

### JETTY_ID

    public static final String JETTY_ID

See Also:
  Constant Field Values

### JONAS_CLASS

    public static final String JONAS_CLASS

See Also:
  Constant Field Values

### JONAS_ID

    public static final String JONAS_ID

See Also:
  Constant Field Values

### RESIN_CLASS

    public static final String RESIN_CLASS

See Also:
  Constant Field Values

### RESIN_ID

    public static final String RESIN_ID

See Also:
  Constant Field Values

### TOMCAT_BOOTSTRAP_CLASS

    public static final String TOMCAT_BOOTSTRAP_CLASS

See Also:
  Constant Field Values

### TOMCAT_EMBEDDED_CLASS

    public static final String TOMCAT_EMBEDDED_CLASS

See Also:
  Constant Field Values

### TOMCAT_ID

    public static final String TOMCAT_ID

See Also:
  Constant Field Values

### WEBLOGIC_CLASS

    public static final String WEBLOGIC_CLASS

See Also:
  Constant Field Values

### WEBLOGIC_ID

    public static final String WEBLOGIC_ID

See Also:
  Constant Field Values

### WEBSPHERE_CLASS

    public static final String WEBSPHERE_CLASS

See Also:
  Constant Field Values

### WEBSPHERE_ID

    public static final String WEBSPHERE_ID

See Also:
  Constant Field Values

Constructor Detail

### ServerDetector

    public ServerDetector()

Method Detail

### isGeronimo

    public static boolean isGeronimo()

### isGlassfish

    public static boolean isGlassfish()

### isJBoss

    public static boolean isJBoss()

### isJetty

    public static boolean isJetty()

### isJOnAS

    public static boolean isJOnAS()

### isResin

    public static boolean isResin()

### isTomcat

    public static boolean isTomcat()

### isWebLogic

    public static boolean isWebLogic()

### isWebSphere

    public static boolean isWebSphere()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project